summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAdrian Likins <alikins@redhat.com>2007-09-27 17:15:21 -0400
committerAdrian Likins <alikins@redhat.com>2007-09-27 17:15:21 -0400
commit9d94991f51d2e0986fbc933522e32621c2c37a36 (patch)
tree15d552dc19e46c1526257a3609ac611d7b3b0dac /scripts
parent5d637b53c5853b35c308a284956c9f1dd637c43a (diff)
downloadfunc-9d94991f51d2e0986fbc933522e32621c2c37a36.tar.gz
func-9d94991f51d2e0986fbc933522e32621c2c37a36.tar.xz
func-9d94991f51d2e0986fbc933522e32621c2c37a36.zip
util makefile in scripts/
add "make money" target in makefile that runs sloccount on all the source dirs Yeah, useful isnt it?
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/Makefile19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/Makefile b/scripts/Makefile
new file mode 100755
index 0000000..86a3db8
--- /dev/null
+++ b/scripts/Makefile
@@ -0,0 +1,19 @@
+
+
+PYFILES = $(wildcard *.py)
+
+PYCHECKER = /usr/bin/pychecker
+PYFLAKES = /usr/bin/pyflakes
+
+clean::
+ @rm -fv *.pyc *~ .*~ *.pyo
+ @find . -name .\#\* -exec rm -fv {} \;
+ @rm -fv *.rpm
+
+
+pychecker::
+ @$(PYCHECKER) $(PYFILES) || exit 0
+
+pyflakes::
+ @$(PYFLAKES) $(PYFILES) || exit 0
+